<?php

declare(strict_types=1);

class DeviceTypeSpeakerExpert
{
    private static $implementedCapabilities = [
        'SpeakerController'
    ];

    private static $displayedCategories = [
        'SPEAKER'
    ];

    private static $displayStatusPrefix = false;

    use HelperDeviceType;

    public static function getPosition()
    {
        return 31;
    }

    public static function getCaption()
    {
        return 'Speaker (expert)';
    }

    public static function getTranslations()
    {
        return [
            'de' => [
                'Speaker (expert)'  => 'Lautsprecher (Experte)',
               	'Volume Variable' 	=> 'Lautstärkevariable',
            	'Mute Variable'		=> 'Stummvariable',
            ]
        ];
    }
}

DeviceTypeRegistry::register('SpeakerExpert');
