<?php

declare(strict_types=1);

class DeviceTypeEqualizer
{
    private static $implementedCapabilities = [
     	'PowerController',
     	'SpeakerController',
    	'EqualizerController'
    ];

    private static $displayedCategories = [
        'SPEAKER'
    ];

    private static $displayStatusPrefix = true;

    use HelperDeviceType;

    public static function getPosition()
    {
        return 32;
    }

    public static function getCaption()
    {
        return 'Equalizer';
    }

    public static function getTranslations()
    {
        return [
            'de' => [
                'Equalizer'      	=> 'Equalizer',
                'Bass Variable'   	=> 'Bassvariable',
               	'Midrange Variable'	=> 'Mittenvariable',
            	'Treble Variable'	=> 'Höhenvariable',
            ]
        ];
    }
}

DeviceTypeRegistry::register('Equalizer');
