<?php

declare(strict_types=1);

class DeviceTypeEqualizerOnly
{
    private static $implementedCapabilities = [
     	'EqualizerController'
    ];

    private static $displayedCategories = [
        'SPEAKER'
    ];

    private static $displayStatusPrefix = false;

    use HelperDeviceType;

    public static function getPosition()
    {
        return 33;
    }

    public static function getCaption()
    {
        return 'Equalizer only';
    }

    public static function getTranslations()
    {
        return [
            'de' => [
                'Equalizer only'      	=> 'Equalizer einzeln',
                'Bass Variable'   	=> 'Bassvariable',
               	'Midrange Variable'	=> 'Mittenvariable',
            	'Treble Variable'	=> 'Höhenvariable',
                
            	
            ]
        ];
    }
}

DeviceTypeRegistry::register('EqualizerOnly');
