<?php

declare(strict_types=1);

class DeviceTypeMediaPlayer
{
    private static $implementedCapabilities = [
        'PowerController',
        'SpeakerController',
    	'PlaybackController'	
    ];

    private static $displayedCategories = [
        'SPEAKER'
    ];

    private static $displayStatusPrefix = true;

    use HelperDeviceType;

    public static function getPosition()
    {
        return 35;
    }

    public static function getCaption()
    {
        return 'Mediaplayer';
    }

    public static function getTranslations()
    {
        return [
            'de' => [
                'Mediaplayer'      	=> 'Medienabspieler',
                'Switch Variable'   => 'Schaltervariable',
               	'Volume Variable' 	=> 'Lautstärkevariable',
            	'Mute Variable'		=> 'Stummvariable',
                'Channel Variable' 	=> 'Kanalvariable'
            	
            ]
        ];
    }
}

DeviceTypeRegistry::register('MediaPlayer');
