<?php

declare(strict_types=1);

class DeviceTypeMediaPlayerExpert
{
    private static $implementedCapabilities = [
        'PowerController',
        'SpeakerController',
    	'PlaybackController',
    	'InputController'	
    ];

    private static $displayedCategories = [
        'SPEAKER'
    ];

    private static $displayStatusPrefix = true;

    use HelperDeviceType;

    public static function getPosition()
    {
        return 36;
    }

    public static function getCaption()
    {
        return 'Mediaplayer (expert)';
    }

    public static function getTranslations()
    {
        return [
            'de' => [
                'Mediaplayer (expert)'=>'Medienabspieler (Experte)',
                'Switch Variable'   => 'Schaltervariable',
               	'Volume Variable' 	=> 'Lautstärkevariable',
            	'Mute Variable'		=> 'Stummvariable',
                'Channel Variable' 	=> 'Kanalvariable',
            	'Input Variable' 	=> 'Eingangsvariable'
            ]
        ];
    }
}

DeviceTypeRegistry::register('MediaPlayerExpert');
