<?php

declare(strict_types=1);

class DeviceTypeTelevisionExpert
{
    private static $implementedCapabilities = [
        'PowerController',
        'ChannelController',
        'SpeakerController',
      	'InputController',
    	'PlaybackController'
    ];

    private static $displayedCategories = [
        'TV'
    ];

    private static $displayStatusPrefix = true;

    use HelperDeviceType;

    public static function getPosition()
    {
        return 39;
    }

    public static function getCaption()
    {
        return 'Television (expert)';
    }

    public static function getTranslations()
    {
        return [
            'de' => [
                'Television (expert)'=>'Fernsehgerät (Experte)',
                'Switch Variable'   => 'Schaltervariable',
               	'Volume Variable' 	=> 'Lautstärkevariable',
            	'Mute Variable'		=> 'Stummvariable',
                'Channel Variable' 	=> 'Kanalvariable',
            	'Input Variable' 	=> 'Eingangsvariable',
            	'Playstate Variable'=> 'Wiedergabevariable'
            ]
        ];
    }
}

DeviceTypeRegistry::register('TelevisionExpert');
